package com.ssj.service.conch.parents.v1.dto;

import java.io.Serializable;
import java.util.List;

/**
 * @author yangcan
 * 类描述:扫描二维码返参
 * 创建时间:2018年8月3日 上午11:14:19

 */
public class SwipeQrCodeV1Dto implements Serializable {
	private static final long serialVersionUID = 1L;
	
	private int type;//类型(1:扫描小塾，2：扫描绑定校长，3：扫描作业吧会员卡，4：扫描pad小塾学伴)
	private String derver;//小孩绑定设备号
	private String imgUrl;//小孩头像
	private String masterId; //校长userId
	private String vipId;//会员id
	private List<ChildInfo> list;

	public class ChildInfo implements Serializable {
		private static final long serialVersionUID = 1L;
		/**
		 * 小孩会员id
		 */
		private String vipId;
		/**
		 * 小孩姓名
		 */
		private String childName;
		/**
		 * 小孩头像
		 */
		private String imgUrl;

		public String getVipId() {
			return vipId;
		}

		public void setVipId(String vipId) {
			this.vipId = vipId;
		}

		public String getChildName() {
			return childName;
		}

		public void setChildName(String childName) {
			this.childName = childName;
		}

		public String getImgUrl() {
			return imgUrl;
		}

		public void setImgUrl(String imgUrl) {
			this.imgUrl = imgUrl;
		}
	}
	public int getType() {
		return type;
	}
	public void setType(int type) {
		this.type = type;
	}
	public String getDerver() {
		return derver;
	}
	public void setDerver(String derver) {
		this.derver = derver;
	}
	public String getImgUrl() {
		return imgUrl;
	}
	public void setImgUrl(String imgUrl) {
		this.imgUrl = imgUrl;
	}
	public String getMasterId() {
		return masterId;
	}
	public void setMasterId(String masterId) {
		this.masterId = masterId;
	}

	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	public List<ChildInfo> getList() {
		return list;
	}

	public void setList(List<ChildInfo> list) {
		this.list = list;
	}
}
